<!DOCTYPE html>
<html>
   <head>
      <title>
         Praxisphasenmanager (PPM)
      </title>
      <meta charset="UTF-8" />
      <style type="text/css">
         @import url("/style.css");
      </style>
   </head>
   <body>
      <h1 id="idSiteHeader" class="clSiteHeader">
         <a href="/index" title="Zur&uumlck zur Startseite">Praxisphasenmanager (PPM)</a>
      </h1>

      <form id="idForm" class="clContent" action="/save/?cat=${data['category']}" method="POST">
         <h2 id="idContentHeader" class="clContentHeader">
            ${data['category']}: Ihre Daten
         </h2>
         <div id="idContentArea" class="clContentArea">
            <input type="hidden" value="${data['id']}" id="id" name="id" />

            % if data['category'] != 'Angebote':
               % for field in data['content']:
                  % if field!='id' and field!='Status':
                  <div class="clFormRow">
                     <label for="${field}">${field}</label>
                     <input type="text" value=
                     % if data['content'][field] != field:
                     "${data['content'][field]}" id="${field}" name="${field}" />
                     % else:
                     "" id="${field}" name="${field}" />
                     % endif
                  </div>
                  % endif
               % endfor
            % else:
               <input type="hidden" value="Angebot" id="Status" name="Status" />
               <input type="hidden" value="" id="Zeitraum" name="ZeitraumVon" />
               <input type="hidden" value="" id="Zeitraum" name="ZeitraumBis" />
               <input type="hidden" value="" id="Student" name="Student" />
               <input type="hidden" value="" id="Lehrender" name="Lehrender" />
               % for field in data['content']:
                  % if field!='id' and field!='Status' and field!='ZeitraumVon' and field!='ZeitraumBis' and field!='Lehrender' and field!='Student':
                     <div class="clFormRow">
                        <label for="${field}">${field}</label>
                     % if field!='Firma':
                        <input type="text" value=
                        % if data['content'][field] != field:
                        "${data['content'][field]}" id="${field}" name="${field}" />
                        % else:
                        "" id="${field}" name="${field}" />
                        % endif
                     % else:
                        <select name="Firma" form="idForm">
                           % for option in data['Firmen']:
                              <option value="${data['Firmen'][option]['Name']}">${data['Firmen'][option]['Name']}</option>
                           % endfor
                        </select>
                     % endif
                     </div>
                  % endif
               % endfor
            % endif

            <div id="idButtonArea" class="clButtonArea">
               <a href="/index" title="Zur&uumlck zur Startseite">Zur&uumlck zur Startseite</a>
               <a href="/category/?cat=${data['category']}" title="Zurueck zur Startseite">Zur&uumlck zur &uumlbersicht</a>
               <input type="submit" value="Speichern" />
            </div>
         </div>
      </form>
   </body>
</html>