<!DOCTYPE html>
<html>
   <head>
      <title>
          Praxisphasenmanager (PPM)
      </title>
      <meta charset="UTF-8" />     
      <style type="text/css">
         @import url("/style.css");
      </style>
   </head>
   <body>

      <h1 id="idSiteHeader" class="clSiteHeader">
         <a href="/index" title="Zur&uumlck zur Startseite">Praxisphasenmanager (PPM)</a>
      </h1>
      <div id="idContent" class="clContent">
         <h2 id="idContentHeader" class="clContentHeader">
            &Uumlbersicht: ${data['category']}
         </h2>
         <div id="idContentArea" class="clContentArea">

            <table id="idList">
               <tr>
                  % if data['content']!= None:
                     % for heading in data['headings']:
                        % if heading!='id' and heading!='Status' and heading!='ZeitraumVon' and heading!='ZeitraumBis' and heading!='Student' and heading!='Lehrender':
                           <th>${heading}</th>
                        % endif
                     % endfor
                  % else:
                  <td>Bisher kein Inhalt</td>
                  % endif
               </tr>
               % if data['content']!= None:
                  
                  % for entries in data['content']:
                  <tr id=${entries}>
                     % if data['category'] == 'Angebote':
                        % if data['content'][entries]['Status'] == 'Angebot':
                           % for entry in data['content'][entries]:
                              % if entry!='id' and entry!='Status' and entry!='ZeitraumVon' and entry!='ZeitraumBis' and entry!='Student' and entry!='Lehrender':
                                 <td id=${entries}>${data['content'][entries][entry]}</td>
                              % endif
                           % endfor
                        % endif
                     % else:
                        % for entry in data['content'][entries]:
                           % if entry!='id':
                              <td id=${entries}>${data['content'][entries][entry]}</td>
                           % endif
                        % endfor
                     % endif
                  </tr id=${entries}>
                  % endfor

               % endif

            </table>
         </div>

         <div id="idButtonArea" class="clButtonArea"> 
            <a href="/index" class="clButton">Startseite</a>
            <a href="/detail/?cat=${data['category']}" class="clButton">Neu</a>
            <a class="clButton" onclick="select('${data['category']}', 0)">Bearbeiten</a>
            <a class="clButton" onclick="select('${data['category']}', 1)">Loeschen</a>
         </div> 
      </div>
   </body>
   <footer>
      <script src="/functions.js" type="text/javascript"></script>
   </footer>
</html>